Bug 1498635 - Openshift allows mounting RWO volumes in multiple nodes
Summary: Openshift allows mounting RWO volumes in multiple nodes
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 3.6.1
Hardware: All
OS: Unspecified
unspecified
low
Target Milestone: ---
: 3.6.z
Assignee: Hemant Kumar
QA Contact: Jianwei Hou
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-04 20:04 UTC by Hemant Kumar
Modified: 2017-12-07 07:12 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-07 07:12:13 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3389 0 normal SHIPPED_LIVE Moderate: Red Hat OpenShift Enterprise security, bug fix, and enhancement update 2017-12-07 12:09:10 UTC

Description Hemant Kumar 2017-10-04 20:04:01 UTC
Openshift 3.6 allows mounting RWO volumes to multiple nodes. In environments like AWS this causes unnecessary errors and API usage.



Fixing this will bring the behaviour on par with Openshift-3.7

Comment 1 Hemant Kumar 2017-10-06 15:40:16 UTC
Fixed - https://github.com/openshift/ose/pull/877

Comment 7 Jianwei Hou 2017-11-08 23:39:38 UTC
Verified on v3.6.173.0.63

Comment 10 errata-xmlrpc 2017-12-07 07:12:13 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3389


Note You need to log in before you can comment on or make changes to this bug.